Bug 45133 - Can't open wookbook with MS Excell
Can't open wookbook with MS Excell
Status: RESOLVED FIXED
Product: POI
Classification: Unclassified
Component: HSSF
unspecified
PC Linux
: P2 normal (vote)
: ---
Assigned To: POI Developers List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-06-05 01:32 UTC by Duc Nguyen
Modified: 2008-06-12 00:21 UTC (History)
1 user (show)



Attachments
origin workbook (46.50 KB, application/vnd.ms-excel)
2008-06-05 01:35 UTC, Duc Nguyen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Duc Nguyen 2008-06-05 01:32:11 UTC
I have a workbook, I can use Microsoft Office Excel 2003 (11.8211.8172) SP3 to open the workbook. But after I open and save workbook by POI 3.0.2 Released, I can't open it with Microsoft Office Excel 2003 (11.8211.8172) SP3.


But I can open it with Open Office well.
Comment 1 Duc Nguyen 2008-06-05 01:35:01 UTC
Created attachment 22076 [details]
origin workbook
Comment 2 Josh Micich 2008-06-06 01:40:31 UTC
Fixed in svn r663855.

Looks like the fix for bug 41242 wasn't exactly right.  The EndSubRecord was being skipped because its 'sid' is zero, and RecordInputStream assumes that all 'sid's are non-zero.  The main change with the fix here was to add padding to the sub-record data.  It seems to be padded to a 4-byte boundary even though this is not mentioned in the "MICROSOFT OFFICE EXCEL 97-2007 BINARY FILE FORMAT SPECIFICATION"  (OOO document doesn't even include the OBJ(5Dh) record).
Comment 3 Duc Nguyen 2008-06-11 18:51:39 UTC
How should I do to get svn r663855 from POI site ?
Comment 4 Duc Nguyen 2008-06-12 00:21:17 UTC
Bug fixed.
Thanks so much.